<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>esercizio 3 calcolo date</title>
</head>
<body>
<div class="box1" style="display: block">
  <label for="data1">prima data</label>
  <input type="date" id="data1">
</div>
<div class="box1" style="display: block">
  <label for="data2">seconda data</label>
  <input type="date" id="data2">
</div>
<button onclick="calcola()">cliccami</button>

<script>
let data1=document.getElementById("data1")
let data2=document.getElementById("data2")


  function calcola() {
  const data1milli=new Date(data1.value).getTime();
  const data2milli=new Date(data2.value).getTime();
  const differenza=data2milli-data1milli;

    console.log("giorni passati "+ differenza/(1000*60*60*24)+" giorni")
}

</script>
</body>
</html>
